version: '2'
services:
  cassandra:
    image: cassandra:latest
    hostname: cassandra
    ports:
      - 9042:9042
  build:
    build:
      context: .
    working_dir: /home/project
    volumes:
     - .:/home/project
     - ~/.sbt:/root/.sbt
     - ~/.ivy2:/root/.ivy2
    environment:
      links:
        cassandra:cassandra
    tty: yes
    stdin_open: true
    privileged: true